##### 7.5.5.0. SDLoc

Procedure from library `dmodapp.lib` (see dmodapp_lib).

Usage:
  SDLoc(I, f); I an ideal, f a poly

Return:
  ring (basering extended by a new variable) containing an ideal 'LD'

Purpose:
  compute a generic presentation of the localization of D/I w.r.t. f^s

Assume:
  the basering D is a Weyl algebra over a field of characteristic 0

Note:
  Activate this ring with the `setring` command. In this ring,
  the ideal LD (given as Groebner basis) is the presentation of the
  localization.

Display:
  If printlevel =1, progress debug messages will be printed,
  if printlevel>=2, all the debug messages will be printed.

Example:

    LIB "dmodapp.lib";
    ring r = 0,(x,y,Dx,Dy),dp;
    def R = Weyl(); // Weyl algebra on the variables x,y,Dx,Dy
    setring R;
    poly F = x2-y3;
    ideal I = Dx*F, Dy*F;
    // note, that I is not holonomic, since it's dimension is not 2
    gkdim(I);  // 3, while dim R = 4
    ==> 3
    def W = SDLoc(I,F);
    setring W; // = R[s], where s is a new variable
    LD;        // Groebner basis of s-parametric presentation
    ==> LD[1]=3*x*Dx*s+2*y*Dy*s-6*s^2+6*s
    ==> LD[2]=3*y^2*Dx*s+2*x*Dy*s
    ==> LD[3]=y^3*Dy-x^2*Dy-3*y^2*s+3*y^2
    ==> LD[4]=y^3*Dx-x^2*Dx+2*x*s-2*x

User manual for Singular version 4.4.1, 2025, generated by texi2html.